Delete Unmapped Routes For Space
Delete unmapped routes for a space
Deletes all routes in a space that are not mapped to any applications and not bound to any service instances.
Request
URI
DELETE
https://api.example.local/v3/spaces/{guid}/routes
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Query Parameters
boolean
unmapped
Required
Filter to only delete unmapped routes
Possible values are :
true,
Responses
202
Accepted
Operation doesn't return any data structure
Response Headers
string
Location
URL of the job that is deleting unmapped routes
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/spaces/{guid}/routes?unmapped=v
On This Page
Spaces Operations
GET
List Spaces
POST
Create Space
GET
Get Space
PATCH
Update Space
DELETE
Delete Space
POST
Apply Manifest To Space
GET
List Space Features
GET
Get Space Feature
PATCH
Update Space Feature
POST
Create Manifest Diff For Space
GET
Get Assigned Isolation Segment For Space
PATCH
Manage Isolation Segment For Space
DELETE
Delete Unmapped Routes For Space
GET
List Running Security Groups For Space
GET
List Staging Security Groups For Space
GET
List Users For Space